﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Web;
using System.Web.ClientServices.Providers;

namespace ClientApplication
{
    public partial class Login : Form, IClientFormsAuthenticationCredentialsProvider
    {
        public Login()
        {
            InitializeComponent();
        }

        #region IClientFormsAuthenticationCredentialsProvider Members

        public ClientFormsAuthenticationCredentials GetCredentials()
        {
            if (this.ShowDialog() == DialogResult.OK)
            {
                return new ClientFormsAuthenticationCredentials(
                    this.txtUsername.Text, this.txtPassword.Text,false);
            }
            else
            {
                return null;
            }
        }

        #endregion
    }
}
